<?php

namespace FiloBlu\Storelocator\Block\PickUpInStore;

use FiloBlu\Storelocator\Helper\Data;
use Magento\Framework\View\Element\Template;
use Magento\Framework\App\RequestInterface;

class RmaAjax extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Data
     */
    protected $helper;
    /**
     * @var RequestInterface
     */
    protected $request;

    public function __construct(
        Template\Context $context,
        RequestInterface $request,
        Data $helper,
        array $data = []
    )
    {
        parent::__construct($context , $data);
        $this->helper = $helper;
        $this->request = $request;
    }

    public function isReturnInStoreEnabled() {
        return $this->helper->getReturnToStoreEnabled();
    }
}